Subject: Ruffe

From: [email-masked] (Patti Bailey)
Date: Sat, 21 Jan 1995 22:40:16

Does anyone know anything about the Ruffe bird?  My environment teacher wants 
to know about any new information in Illinois or any where else.

                                     Trisha Bailey [email-masked]